ltsp-update-image(8)

NAME
ltsp-update-image - Generate an NBD image from an LTSP chroot

SYNOPSIS

ltsp-update-image [OPTION] [CHROOT...]

DESCRIPTION

ltsp-update-image generates a compressed squashfs image from an LTSP chroot and exports it with nbd-server(1). CHROOT can be a full path or a subdirectory of the /opt/ltsp base directory, and it defaults to the host architecture if unset.

OPTIONS

-b --base=
    The LTSP base directory. Defaults to "/opt/ltsp".

-c --cleanup
    Temporarily remove user accounts, logs, caches etc from the chroot before exporting the image. The chroot arch is required to be compatible with the server arch.

-e --exclude=
    List of dirs/files to exclude from the image. This is in addition to /etc/ltsp/ltsp-update-image.excludes.

-f --config-nbd
    Generate appropriate nbd-server configuration files. It's automatically set if NFS isn't used or if other LTSP generated nbd-server configuration files already exist.

-h --help
    The application help page.

-m --no-compress
    Don't compress the generated image.

-n --no-backup
    Don't backup chroot.img to chroot.img.old.

-r --revert
    Swap chroot.img with chroot.img.old and update kernels.

SEE ALSO

ltsp-build-client(8), ltsp-update-kernels(8), ltsp-update-sshkeys(8), mksquashfs(1), nbd-server(1).

AVAILABILITY

ltsp-update-image is part of ltsp package and the latest versions are available in source form from https://launchpad.net/ltsp.

MAN PAGE AUTHOR

Copyright 2012 Alkis Georgopoulos <alkisg@gmail.com>, distributed under the terms of the GNU General Public License version 2 or any later version.